# SPDX-FileCopyrightText: Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

{{ if .Values.enabled -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "wopi-proxy.fullname" . }}
  labels:
{{ include "wopi-proxy.labels" . | indent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "wopi-proxy.selectorLabels" . | nindent 6 }}
{{- end -}}
